textures/plonker/vines
{
   	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm alphashadow
	nopicmip
	qer_trans .75
	cull none	
	qer_editorimage textures/plonker/vine_growth.tga
	cull none
	{
		map textures/plonker/vine_growth.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}
textures/plonker/pl_yellowflare
{
	cull disable
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	deformVertexes autosprite
	nopicmip
	qer_editorimage textures/plonker/yellowflare.tga

	{
		clampmap textures/plonker/yellowflare.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identity
	}
}
textures/plonker/pl_yellowteleporter
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	qer_trans 0.5
	qer_editorimage textures/plonker/yellowteleporter.tga
	q3map_lightimage textures/plonker/yellowteleporter.tga
	q3map_surfaceLight 150
	{
		map textures/plonker/yellowteleporter.tga
		tcmod stretch sawtooth 1 1 0.5 1
		rgbGen wave inverseSawtooth 0 1 0.5 1
		blendfunc add
	}
	{
		map textures/plonker/yellowteleporter.tga
		tcmod stretch sawtooth 1 1 1 1
		rgbGen wave inverseSawtooth 0 1 1 1
		blendfunc add
	}
}
textures/plonker/pl_lava
{
	qer_editorimage textures/liquids/protolava2.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 50
	cull disable
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1

	{
		map textures/liquids/protolava2.tga
		tcmod scale .2 .2
		tcmod scroll .04 .03
		tcMod turb 0 .1 0 .01
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/liquids/protolava.tga
		blendfunc blend
		tcMod turb 0 .2 0 .1
	}
}
textures/plonker/pl_water1
	{
		qer_editorimage textures/plonker/pl_waterflow.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 16 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll 0.02 .25
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.4 -.4
			tcmod scroll 0.02 -.25
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}
textures/plonker/grate4a
{
	surfaceparm	metalsteps		
	cull none
	{
		map textures/plonker/grate4a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}
textures/plonker/ironcrossltblue_30000
{
	qer_editorimage textures/plonker/ironcrossltblue.tga
	q3map_lightimage textures/plonker/ironcrossltblue.blend.tga
	q3map_surfacelight 30000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/plonker/ironcrossltblue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/plonker/ironcrossltblue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/plonker/lig_032-02b2-2k
{
	qer_editorimage textures/plonker/lig_032-02b2.tga
	q3map_lightimage textures/plonker/lig_032-02b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/plonker/lig_032-02b2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/plonker/lig_032-02b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}
textures/plonker/lig_032-02r2-2k
{
	qer_editorimage textures/plonker/lig_032-02r2.tga
	q3map_lightimage textures/plonker/lig_032-02r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/plonker/lig_032-02r2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/plonker/lig_032-02r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}
textures/plonker/lig_032-04b1-2k
{
	qer_editorimage textures/plonker/lig_032-04b1.tga
	q3map_lightimage textures/plonker/lig_032-04b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/plonker/lig_032-04b1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/plonker/lig_032-04b.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}
textures/plonker/lig_032-04y2-2k
{
	qer_editorimage textures/plonker/lig_032-04y2.tga
	q3map_lightimage textures/plonker/lig_032-04y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/plonker/lig_032-04y2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/plonker/lig_032-04y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}
textures/plonker/lig_b064-01a
{
	qer_editorimage textures/plonker/lig_b064-01a.tga
	{
		map textures/plonker/lig_b064-01a.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/plonker/lig_b064-01b.blend.tga
		blendfunc add	
                rgbgen wave sin .5 .3 0 1
	}
}
textures/plonker/lig_b064-01c
{
	qer_editorimage textures/plonker/lig_b064-01c.tga
	{
		map textures/plonker/lig_b064-01c.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/plonker/lig_b064-01y.blend.tga
		blendfunc add	
                rgbgen wave sin .5 .3 0 1
	}
}
textures/plonker/lig_b064-02a
{
	qer_editorimage textures/plonker/lig_b064-02a.tga
	{
		map textures/plonker/lig_b064-02a.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/plonker/lig_b064-02b.blend.tga
		blendfunc add	
                rgbgen wave sin .5 .3 0 1
	}
}
textures/plonker/lig_b064-02c
{
	qer_editorimage textures/plonker/lig_b064-02c.tga
	{
		map textures/plonker/lig_b064-02c.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/plonker/lig_b064-02y.blend.tga
		blendfunc add	
                rgbgen wave sin .5 .3 0 1
	}
}
textures/plonker/lig_b064-03b
{
	qer_editorimage textures/plonker/lig_b064-03b.tga
	{
		map textures/plonker/lig_b064-03b.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/plonker/lig_b064-03b.blend.tga
		blendfunc add	
                rgbgen wave sin .5 .3 0 1
	}
}
textures/plonker/lig_v192-01ba
{       
	qer_editorimage textures/plonker/lig_v192-01ba.tga
	{
		map textures/plonker/lig_v192-01ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/plonker/lig_v192-01b.blend.tga
		blendfunc add	
                rgbgen wave sin .5 .3 0 1
	}
}
textures/plonker/wmgold_floor1b
{
	qer_editorimage textures/plonker/jumppad1bg.tga
	q3map_lightimage textures/plonker/jumppad1g.blend.tga	
	q3map_surfacelight 100
	{
		map textures/plonker/gold_telep.tga
                tcmod rotate 180
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		map textures/plonker/gold_telep2.tga
		blendfunc ADD
                tcmod rotate 45
                tcMod stretch sin .8 0.1 0 .5
	}
	{
		map textures/plonker/jumppad1bg.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/plonker/jumppad1g.blend.tga
		blendfunc ADD
		rgbgen wave sin .9 .1 0 5
	}
}